import React, { Component } from 'react';
import { UniqueId, StillnessManager } from '../types';
export interface OffscreenProps {
    /**
     * Components are only rendered realistically when visible is turned on
     */
    visible: boolean;
    /**
     * Optional, for grouping stillness components
     * Components of the same group can be stationary at the same time
     */
    type?: UniqueId;
    /**
     * Optional,When the presence of a scrolling element is detected,
     * the scroll position will be automatically saved by default, if this feature is not needed, set to false
     */
    scrollReset?: boolean;
    children?: React.ReactNode;
}
export declare type OffscreenInnerProps = OffscreenProps & {
    uniqueId: UniqueId;
    parentId: UniqueId;
    parentIsStillness: boolean;
    isStillness: boolean;
    stillnessManager: StillnessManager;
};
export declare class OffscreenComponent extends Component<React.PropsWithChildren<OffscreenInnerProps>> {
    static displayName: string;
    static defaultProps: {
        scrollReset: boolean;
    };
    private actions;
    private helpRef;
    private targetElement;
    private cacheNodes;
    private uniqueId;
    constructor(props: OffscreenInnerProps);
    unmount: (init?: boolean) => void;
    mount: () => void;
    private listenerTargetElementChildScroll;
    componentDidUpdate(prevProps: Readonly<OffscreenInnerProps>): void;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
declare const _default: React.FC<OffscreenProps & {
    children?: React.ReactNode;
} & {
    ref?: import("../decorators").OffscreenInstance | undefined;
}>;
export default _default;
