import { Store } from 'redux';
import { StillnessMonitor, Identifier, Unsubscribe, Listener, UniqueId } from '../../types';
import { State } from '../reducers';
import { State as VNodeState } from '../reducers/vNode';
export declare class StillnessMonitorImpl implements StillnessMonitor {
    private store;
    constructor(store: Store<State>);
    /**
     *
     * @param listener
     * @param params
     * @returns
     */
    subscribeToStateChange(listener: Listener, params: {
        parentId: UniqueId;
    }): Unsubscribe;
    subscribeToEffectChange(listener: Listener, params: {
        uniqueId: UniqueId;
        type?: Identifier;
    }): Unsubscribe;
    getStillnessItem(uniqueId: UniqueId): VNodeState;
    getStillnessId(uniqueId: UniqueId): Identifier;
    getStillnessType(uniqueId: UniqueId): Identifier | undefined;
    isStillness(uniqueId: UniqueId | undefined): boolean;
}
