import React, { ComponentType, FC } from 'react';
import { OffscreenProps, OffscreenInnerProps } from '../components';
import { UniqueId, UnsetParams } from '../types';
export interface OffscreenInstance {
    getStillnessId: () => UniqueId;
    isStillness: () => boolean;
    unset: (params: UnsetParams) => void;
    clear: () => void;
}
/**
 * 2022.0309 新增监听逻辑,当store.operation中type为unset时,则卸载相应节点即可完成之后的所有操作
 * @param DecoratedComponent
 * @returns
 */
export declare function withNodeBridge(DecoratedComponent: ComponentType<OffscreenInnerProps>): FC<React.PropsWithChildren<OffscreenProps> & {
    ref?: OffscreenInstance;
}>;
